Skip to main content
GET
List all transactions

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

accountId
string<uuid>
required

Account ID or subaccount ID to list transactions for.

Example:

"3486b413-93d3-4447-afce-2b9c9dc34a32"

Query Parameters

after
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

Minimum string length: 1
limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 1000
transactionIds
string[]

Unique Identifier for a transaction

statuses
enum<string>[]

One or more transaction statuses to filter results

Available options:
POSTED,
PENDING,
CANCELED
types
enum<string>[]

One or more transaction types to filter results

Available options:
DEPOSIT,
WITHDRAWAL,
TRADE,
MANAGEMENT_FEE,
CUSTODY_FEE,
ADVISORY_FEE,
MODEL_FEE,
SUBACCOUNT_TRANSFER,
TRADE_SETTLEMENT,
DEPOSIT_SWEEP,
GAS_FILL,
FEE_SETTLEMENT,
TRANSACTION_FEE,
RETURN,
STAKE,
UNSTAKE,
CLAIM,
STAKING_REWARD,
DELEGATION_REWARD
startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is 2017-01-01. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The earliest valid start date is 2017-01-01. Dates are always in UTC RFC 3339 'full-date'.

Response

A list of transactions

data
Transaction · object[]
required
page
Page · object
required

Pagination info